/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */
package examples.mbeans.iiop;

import javax.management.MBeanServer;
import javax.management.MBeanServerFactory;
import javax.management.ObjectName;

import mx4j.util.StandardMBeanProxy;

/**
 * @author <a href="mailto:shadow12@users.sourceforge.net">Bronwen Cassidy</a>
 * @version $Revision: 1.3 $
 */
public class IIOPServer
{
    public static void main(String[] args)
    {
		try
		{
			MBeanServer server = MBeanServerFactory.createMBeanServer();

			ObjectName name = new ObjectName("examples:type=iiop-remote");
			HelloImpl remote = new HelloImpl();
			server.registerMBean(remote, name);

			HelloImplMBean managed = (HelloImplMBean)StandardMBeanProxy.create(HelloImplMBean.class, server, name);
			managed.start();
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}

    }
}
