/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package examples.mbeans.rmi;

import javax.management.MBeanServer;
import javax.management.MBeanServerFactory;
import javax.management.ObjectName;

import mx4j.util.StandardMBeanProxy;

/**
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.2 $
 */
public class Server
{
	public static void main(String[] args) throws Exception
	{
		MBeanServer server = MBeanServerFactory.createMBeanServer();

		ObjectName name = new ObjectName("examples:type=remote");
		MyRemoteServiceObject remote = new MyRemoteServiceObject();
		server.registerMBean(remote, name);

		MyRemoteServiceObjectMBean managed = (MyRemoteServiceObjectMBean)StandardMBeanProxy.create(MyRemoteServiceObjectMBean.class, server, name);
		managed.start();
	}
}
